hlist_replace_rcu
Prev | Doubly Linked Lists | Next

## Name

hlist_replace_rcu — replace old entry by new one

## Synopsis

`void hlist_replace_rcu (` | struct hlist_node * | old,
| struct hlist_node * | new`)`;

## Arguments

`old`

  the element to be replaced

`new`

  the new element to insert

## Description

The `old` entry will be replaced with the `new` entry atomically.

Prev | Up | Next
hlist_del_rcu | Home | hlist_add_head_rcu